Download it now!
Bug 62836 - FORMATTING: Allow for styles to be applied to text boxes
Summary: FORMATTING: Allow for styles to be applied to text boxes
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 20:49 UTC by Jared
Modified: 2015-03-01 10:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jared 2013-03-27 20:49:14 UTC
Problem description: Not allowing for styles to be applied to text within text boxes or shapes from drawing tools in Writer limits the application from being able to fully used in Desktop Publishing methods.

Steps to reproduce:
1. Open Writer
2. From the Drawing toolbar select Text and create a text box area on the page
3. Double-click and add text

Current behavior: The Formatting toolbar swaps with the Drawing Properties toolbar and applying a style to text is not possible.

Expected behavior: Document styles should still be available and to be able to be applied.  This will allow for much more "desktop publishing"-like work within Writer, and lot limit the power of styles to "standard text" on the page.

              
Operating System: All
Version: 4.0.2.1 rc
Comment 1 Szuhánszky Tamás 2013-04-09 09:50:52 UTC
This behavior can be found in every version of LibreOffice.
Comment 2 A (Andy) 2015-02-26 20:31:27 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 3 Jean-Baptiste Faure 2015-03-01 10:23:21 UTC
In the cases where you need text styles in text box, you have 2 solutions:
1/ use a frame instead of a text box. Writer has styles for frames.
2/ There is not styles for graphic objects in Writer, but styles for text box exist in Draw. So you can create your text boxes in Draw and copy&paste them in your text document.

As there is a long term aim to replace the drawing functions in Writer by the ones of Draw, I close this bug report as WontFix. Please, feel free to reopen if you disagree.

Best regards. JBF